<?php



/**



* 2014 Jorge Vargas



*



* NOTICE OF LICENSE



*



* This source file is subject to the End User License Agreement (EULA)



*



* See attachmente file LICENSE



*



* @author    Jorge Vargas <jorgevargaslarrota@hotmail.com>



* @copyright 2007-2014 Jorge Vargas



* @license   End User License Agreement (EULA)



* @package   sociallogin



* @version   1.0



*/







class AuthController extends AuthControllerCore



{



	



	/**



	 * Assign template vars related to page content



	 * @see AuthControllerCore::initContent()



	 */



	public function initContent()



	{



		parent::initContent();







		$this->context->smarty->assign('genders', Gender::getGenders());







		$this->assignDate();







		$this->assignCountries();







		$this->context->smarty->assign('newsletter', 1);







		$back = Tools::getValue('back');



		$key = Tools::safeOutput(Tools::getValue('key'));







		if (!empty($key))



			$back .= (strpos($back, '?') !== false ? '&' : '?').'key='.$key;







		if ($back == Tools::secureReferrer(Tools::getValue('back')))



			$this->context->smarty->assign('back', html_entity_decode($back));



		else



			$this->context->smarty->assign('back', Tools::safeOutput($back));







		if (Tools::getValue('display_guest_checkout'))



		{



			if (Configuration::get('ak_RESTRICT_DELIVERED_COUNTRIES'))



				$countries = Carrier::getDeliveredCountries($this->context->language->id, true, true);



			else



				$countries = Country::getCountries($this->context->language->id, true);







			$this->context->smarty->assign(array(



					'inOrderProcess' => true,



					'ak_GUEST_CHECKOUT_ENABLED' => Configuration::get('ak_GUEST_CHECKOUT_ENABLED'),



					'ak_REGISTRATION_PROCESS_TYPE' => Configuration::get('ak_REGISTRATION_PROCESS_TYPE'),



					'sl_country' => (int)$this->id_country,



					'countries' => $countries



				));



		}







		if (Tools::getValue('create_account'))



			$this->context->smarty->assign('email_create', 1);







		if (Tools::getValue('multi-shipping') == 1)



			$this->context->smarty->assign('multi_shipping', true);



		else



			$this->context->smarty->assign('multi_shipping', false);







		$this->context->smarty->assign('field_required', $this->context->customer->validateFieldsRequiredDatabase());







		$this->assignAddressFormat();







		// Call a hook to display more information on form



		$this->context->smarty->assign(array(



			'HOOK_CREATE_ACCOUNT_FORM' => Hook::exec('displayCustomerAccountForm'),



			'HOOK_CREATE_ACCOUNT_TOP' => Hook::exec('displayCustomerAccountFormTop')



		));







		







		// Just set $this->template value here in case it's used by Ajax



		$this->module = Module::getInstanceByName('sociallogin');



		if ($this->module->active && Configuration::get($this->module->name.'_OVERRIDE'))



			$this->setTemplate($this->module->getTemplatePath('authentication.tpl'));



		else



			$this->setTemplate(_PS_THEME_DIR_.'authentication.tpl');







		if ($this->ajax)



		{



			// Call a hook to display more information on form



			$this->context->smarty->assign(array(



					'ak_REGISTRATION_PROCESS_TYPE' => Configuration::get('ak_REGISTRATION_PROCESS_TYPE'),



					'genders' => Gender::getGenders()



				));







			$return = array(



				'hasError' => !empty($this->errors),



				'errors' => $this->errors,



				'page' => $this->context->smarty->fetch($this->template),



				'token' => Tools::getToken(false)



			);



			die(Tools::jsonEncode($return));



		}



	}



}